> Tychron Atlas API & Provisioning Reference — chapter 12 of 35 as Markdown. Web version: https://docs.tychron.com/api-reference/roles/
> Source: https://docs.tychron.com/api-reference/ · Updated 2026-08-12 · Generated from the Atlas OpenAPI spec (https://api.atlas.tychron.online/api/v1/openapi is the live contract; this file is a dated snapshot of it).
> Source revision: atlas_api_reference_2026-08-12.md · sha256 482ebd3b014af053 · sanitize gate v1 clean · reconciled with OpenAPI 2026.8.25-p01 (spec sha256 cc049ef38c71cd6e) on 2026-09-05 · content last modified 2026-09-09 · newer definition under review since 2026-09-09 (not yet reconciled)
> Scope: the Atlas platform API only. The SMS, MMS, CNAM, LRN and MCL services are separate APIs with their own specifications: https://docs.tychron.com/openapi/
> Machine index: https://docs.tychron.com/llms.txt

# Roles

## Schema

A role controls the access to resources and their actions within the API.


__Type__ Object

| Name            | Type                                               | Description                        |
| --------------- | -------------------------------------------------- | ---------------------------------- |
| `default_scope` | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `default_scope`](https://docs.tychron.com/api-reference/roles/#desc-135) |
| `id`            | String(format:uuid)                                | [Desc. `id`](https://docs.tychron.com/api-reference/roles/#desc-136)            |
| `inserted_at`   | String(format:date-time)                           | An ISO8601 formatted timestamp     |
| `level`         | Enum(`GUEST`, `CLIENT`, `ADMIN`):String            | [Desc. `level`](https://docs.tychron.com/api-reference/roles/#desc-137)         |
| `name`          | String                                             | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-138)          |
| `notes`         | String                                             | [Desc. `notes`](https://docs.tychron.com/api-reference/roles/#desc-139)         |
| `rank`          | Integer(>= 0)                                      | [Desc. `rank`](https://docs.tychron.com/api-reference/roles/#desc-140)          |
| `resources`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-146)                       | [Desc. `resources`](https://docs.tychron.com/api-reference/roles/#desc-147)     |
| `updated_at`    | String(format:date-time)                           | An ISO8601 formatted timestamp     |

#### Desc. `default_scope` {#desc-135}

Role's default_scope, this is the scope applied when resources specify IGNORE for their own scope.

* `IGNORE` - When used as the default_scope, effectively disables all resources that use IGNORE as their scope.
* `USER` - Resources are scoped to the user, or their nearest account where applicable.
* `ACCOUNT` - Resources are scoped against the user's account.
* `SYSTEM` - Cannot be set by the API, but provided for reference, this is the system-wide scope.

#### Desc. `id` {#desc-136}

A Universally unique identifier, which identifies the resource

#### Desc. `level` {#desc-137}

The role's level dictates the overall access the associated user will have.

* `GUEST` - Unprivileged user
* `CLIENT` - This is the default level for Roles created from the API.
* `ADMIN` - System administrators, cannot be set via the API, provided for reference.

#### Desc. `name` {#desc-138}

Role's display name.

#### Desc. `notes` {#desc-139}

Any notes about the role.

#### Desc. `rank` {#desc-140}

Levels dictate the access, scopes filter resources, and ranks allow differentiating the same level of
access within the account.

Ranks allow organizing roles within the account by importance.

0 is most relevant sometimes referred to as the highest rank.
1+ are ranks lower.

Ranks primarily affect the modification of:
* Users - See Roles for information, as a user's Role dictates their permissions.
* Roles - Roles of the same rank can modify themselves and those of lower rank, ranks of a higher rank cannot be modified by those of a lower rank.

#### SubObject {#type-146}

Sub-Schema

__Type__ Object

| Name          | Type                                               | Description                |
| ------------- | -------------------------------------------------- | -------------------------- |
| `actions`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-144)                       |                            |
| `resource_id` | String                                             |                            |
| `scope`       | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `scope`](https://docs.tychron.com/api-reference/roles/#desc-145) |

#### SubObject {#type-144}

Sub-Schema

__Type__ Object

| Name    | Type                         | Description                |
| ------- | ---------------------------- | -------------------------- |
| `name`  | [Enum](https://docs.tychron.com/api-reference/roles/#enum-141):String     | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-142)  |
| `value` | Enum(`true`, `false`):String | [Desc. `value`](https://docs.tychron.com/api-reference/roles/#desc-143) |

#### Enum Values name {#enum-141}

Allowed values

* `sell_rates`
* `buy_rates`
* `count`
* `full_index`
* `index`
* `assoc`
* `show`
* `charge`
* `reset`
* `create`
* `update`
* `delete`
* `purge`
* `move`
* `import`
* `export`
* `review`
* `protect`
* `share`
* `unshare`
* `impersonate`
* `checkout`
* `lookup_result`
* `process`
* `cancel`
* `download`
* `upload`
* `summarize`

#### Desc. `name` {#desc-142}

The name of the action.

#### Desc. `value` {#desc-143}

Whether or not the action is enabled.

NOTE. This is not a Boolean.

The field is an enum that happens to use the values true and false as strings.





#### Desc. `scope` {#desc-145}

See Role's default_scope for more details on the enum.

IGNORE acts as a fallback to the `default_scope`.





#### Desc. `resources` {#desc-147}

Role's job title, or position



__Example__

```json
{
  "default_scope": "ACCOUNT",
  "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
  "inserted_at": "2021-08-13T04:08:44.762841Z",
  "level": "CLIENT",
  "name": "Ordering Role",
  "notes": "This role governs the Ordering System Access",
  "rank": 0,
  "resources": [
    {
      "actions": [
        {
          "name": "sell_rates",
          "value": "true"
        }
      ],
      "resource_id": "string",
      "scope": "IGNORE"
    }
  ],
  "updated_at": "2021-08-13T04:08:44.762841Z"
}
```


## Summary

Roles control the permissions a user can have.

## API

### Create Role

__Data__

| Name            | Type                                               | Description                        |
| --------------- | -------------------------------------------------- | ---------------------------------- |
| `default_scope` | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `default_scope`](https://docs.tychron.com/api-reference/roles/#desc-148) |
| `name`          | String                                             | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-149)          |
| `notes`         | String                                             | [Desc. `notes`](https://docs.tychron.com/api-reference/roles/#desc-150)         |
| `rank`          | Integer(>= 0)                                      | [Desc. `rank`](https://docs.tychron.com/api-reference/roles/#desc-151)          |
| `resources`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-157)                       | [Desc. `resources`](https://docs.tychron.com/api-reference/roles/#desc-158)     |

#### Desc. `default_scope` {#desc-148}

Role's default_scope, this is the scope applied when resources specify IGNORE for their own scope.

* `IGNORE` - When used as the default_scope, effectively disables all resources that use IGNORE as their scope.
* `USER` - Resources are scoped to the user, or their nearest account where applicable.
* `ACCOUNT` - Resources are scoped against the user's account.
* `SYSTEM` - Cannot be set by the API, but provided for reference, this is the system-wide scope.

#### Desc. `name` {#desc-149}

Role's display name.

#### Desc. `notes` {#desc-150}

Any notes about the role.

#### Desc. `rank` {#desc-151}

Levels dictate the access, scopes filter resources, and ranks allow differentiating the same level of
access within the account.

Ranks allow organizing roles within the account by importance.

0 is most relevant sometimes referred to as the highest rank.
1+ are ranks lower.

Ranks primarily affect the modification of:
* Users - See Roles for information, as a user's Role dictates their permissions.
* Roles - Roles of the same rank can modify themselves and those of lower rank, ranks of a higher rank cannot be modified by those of a lower rank.

#### SubObject {#type-157}

Sub-Schema

__Type__ Object

| Name          | Type                                               | Description                |
| ------------- | -------------------------------------------------- | -------------------------- |
| `actions`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-155)                       |                            |
| `resource_id` | String                                             |                            |
| `scope`       | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `scope`](https://docs.tychron.com/api-reference/roles/#desc-156) |

#### SubObject {#type-155}

Sub-Schema

__Type__ Object

| Name    | Type                         | Description                |
| ------- | ---------------------------- | -------------------------- |
| `name`  | [Enum](https://docs.tychron.com/api-reference/roles/#enum-152):String     | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-153)  |
| `value` | Enum(`true`, `false`):String | [Desc. `value`](https://docs.tychron.com/api-reference/roles/#desc-154) |

#### Enum Values name {#enum-152}

Allowed values

* `sell_rates`
* `buy_rates`
* `count`
* `full_index`
* `index`
* `assoc`
* `show`
* `charge`
* `reset`
* `create`
* `update`
* `delete`
* `purge`
* `move`
* `import`
* `export`
* `review`
* `protect`
* `share`
* `unshare`
* `impersonate`
* `checkout`
* `lookup_result`
* `process`
* `cancel`
* `download`
* `upload`
* `summarize`

#### Desc. `name` {#desc-153}

The name of the action.

#### Desc. `value` {#desc-154}

Whether or not the action is enabled.

NOTE. This is not a Boolean.

The field is an enum that happens to use the values true and false as strings.





#### Desc. `scope` {#desc-156}

See Role's default_scope for more details on the enum.

IGNORE acts as a fallback to the `default_scope`.





#### Desc. `resources` {#desc-158}

Role's job title, or position



```http
POST /api/v1/roles HTTP/1.1
```

Create a new Role.

Note that newly created Roles will return their secrets, however all subsequent GET requests
will not contain the secrets.


#### Request application/json

```http
POST /api/v1/roles HTTP/1.1
Accept: application/json
Content-Type: application/json
Content-Length: 392
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ]
  },
  "type": "role"
}
```

#### Response 201

##### application/json

```http
HTTP/1.1 201
Content-Type: application/json
Content-Length: 564
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "level": "CLIENT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ],
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "role"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### Update Role

__Data__

| Name            | Type                                               | Description                        |
| --------------- | -------------------------------------------------- | ---------------------------------- |
| `default_scope` | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `default_scope`](https://docs.tychron.com/api-reference/roles/#desc-159) |
| `name`          | String                                             | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-160)          |
| `notes`         | String                                             | [Desc. `notes`](https://docs.tychron.com/api-reference/roles/#desc-161)         |
| `rank`          | Integer(>= 0)                                      | [Desc. `rank`](https://docs.tychron.com/api-reference/roles/#desc-162)          |
| `resources`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-168)                       | [Desc. `resources`](https://docs.tychron.com/api-reference/roles/#desc-169)     |

#### Desc. `default_scope` {#desc-159}

Role's default_scope, this is the scope applied when resources specify IGNORE for their own scope.

* `IGNORE` - When used as the default_scope, effectively disables all resources that use IGNORE as their scope.
* `USER` - Resources are scoped to the user, or their nearest account where applicable.
* `ACCOUNT` - Resources are scoped against the user's account.
* `SYSTEM` - Cannot be set by the API, but provided for reference, this is the system-wide scope.

#### Desc. `name` {#desc-160}

Role's display name.

#### Desc. `notes` {#desc-161}

Any notes about the role.

#### Desc. `rank` {#desc-162}

Levels dictate the access, scopes filter resources, and ranks allow differentiating the same level of
access within the account.

Ranks allow organizing roles within the account by importance.

0 is most relevant sometimes referred to as the highest rank.
1+ are ranks lower.

Ranks primarily affect the modification of:
* Users - See Roles for information, as a user's Role dictates their permissions.
* Roles - Roles of the same rank can modify themselves and those of lower rank, ranks of a higher rank cannot be modified by those of a lower rank.

#### SubObject {#type-168}

Sub-Schema

__Type__ Object

| Name          | Type                                               | Description                |
| ------------- | -------------------------------------------------- | -------------------------- |
| `actions`     | Array:[SubObject](https://docs.tychron.com/api-reference/roles/#type-166)                       |                            |
| `resource_id` | String                                             |                            |
| `scope`       | Enum(`IGNORE`, `ACCOUNT`, `USER`, `SYSTEM`):String | [Desc. `scope`](https://docs.tychron.com/api-reference/roles/#desc-167) |

#### SubObject {#type-166}

Sub-Schema

__Type__ Object

| Name    | Type                         | Description                |
| ------- | ---------------------------- | -------------------------- |
| `name`  | [Enum](https://docs.tychron.com/api-reference/roles/#enum-163):String     | [Desc. `name`](https://docs.tychron.com/api-reference/roles/#desc-164)  |
| `value` | Enum(`true`, `false`):String | [Desc. `value`](https://docs.tychron.com/api-reference/roles/#desc-165) |

#### Enum Values name {#enum-163}

Allowed values

* `sell_rates`
* `buy_rates`
* `count`
* `full_index`
* `index`
* `assoc`
* `show`
* `charge`
* `reset`
* `create`
* `update`
* `delete`
* `purge`
* `move`
* `import`
* `export`
* `review`
* `protect`
* `share`
* `unshare`
* `impersonate`
* `checkout`
* `lookup_result`
* `process`
* `cancel`
* `download`
* `upload`
* `summarize`

#### Desc. `name` {#desc-164}

The name of the action.

#### Desc. `value` {#desc-165}

Whether or not the action is enabled.

NOTE. This is not a Boolean.

The field is an enum that happens to use the values true and false as strings.





#### Desc. `scope` {#desc-167}

See Role's default_scope for more details on the enum.

IGNORE acts as a fallback to the `default_scope`.





#### Desc. `resources` {#desc-169}

Role's job title, or position



```http
PATCH /api/v1/roles/{id} HTTP/1.1
```

Update an existing Role


__Path Parameters__

| Name | Type                 | Description |
| ---- | -------------------- | ----------- |
| id   | String(format:uuid)! | Role ID     |

#### Request application/json

```http
PATCH /api/v1/roles/{id} HTTP/1.1
Accept: application/json
Content-Type: application/json
Content-Length: 392
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ]
  },
  "type": "role"
}
```

#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 564
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "level": "CLIENT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ],
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "role"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```


### Delete Role

```http
DELETE /api/v1/roles/{id} HTTP/1.1
```

Delete a Role.

Note that a Role cannot be deleted if it is still associated with any switches or numbers.


__Path Parameters__

| Name | Type                 | Description |
| ---- | -------------------- | ----------- |
| id   | String(format:uuid)! | Role ID     |

#### Request

```http
DELETE /api/v1/roles/{id} HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 564
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "level": "CLIENT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ],
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "role"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```


### List Roles

```http
GET /api/v1/roles HTTP/1.1
```

Retrieve a list of all roles under the parent account


__Query Parameters__

| Name   | Type    | Description                     |
| ------ | ------- | ------------------------------- |
| first  | Integer | [Query Desc. first](https://docs.tychron.com/api-reference/roles/#desc-170)  |
| last   | Integer | [Query Desc. last](https://docs.tychron.com/api-reference/roles/#desc-171)   |
| after  | String  | [Query Desc. after](https://docs.tychron.com/api-reference/roles/#desc-172)  |
| before | String  | [Query Desc. before](https://docs.tychron.com/api-reference/roles/#desc-173) |

#### Query Desc. first {#desc-170}

The number of items to return starting from the 'after' cursor

#### Query Desc. last {#desc-171}

The number of items to return behind the 'before' cursor

#### Query Desc. after {#desc-172}

The cursor representing the starting point of a 'first' based paging

#### Query Desc. before {#desc-173}

The cursor representing the starting point of a 'last' based paging

#### Request

```http
GET /api/v1/roles HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 825
```

```json
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "data": {
        "default_scope": "ACCOUNT",
        "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "level": "CLIENT",
        "name": "Ordering Role",
        "notes": "This role governs the Ordering System Access",
        "rank": 0,
        "resources": [
          {
            "actions": [
              {
                "name": "sell_rates",
                "value": "true"
              }
            ],
            "resource_id": "string",
            "scope": "IGNORE"
          }
        ],
        "updated_at": "2021-08-13T04:08:44.762841Z"
      },
      "type": "role"
    }
  ]
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### Get Role

```http
GET /api/v1/roles/{id} HTTP/1.1
```

Lookup a request by ID


__Path Parameters__

| Name | Type                 | Description |
| ---- | -------------------- | ----------- |
| id   | String(format:uuid)! | Role ID     |

#### Request

```http
GET /api/v1/roles/{id} HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 564
```

```json
{
  "data": {
    "default_scope": "ACCOUNT",
    "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "level": "CLIENT",
    "name": "Ordering Role",
    "notes": "This role governs the Ordering System Access",
    "rank": 0,
    "resources": [
      {
        "actions": [
          {
            "name": "sell_rates",
            "value": "true"
          }
        ],
        "resource_id": "string",
        "scope": "IGNORE"
      }
    ],
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "role"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```

---

Previous chapter: https://docs.tychron.com/api-reference/request-provision-records.md  
Next chapter: https://docs.tychron.com/api-reference/users.md  
Complete reference in one file: https://docs.tychron.com/llms-full.txt
